%global momorel 2

Name:           pixman
Version:        0.11.8
Release:        %{momorel}m%{?dist}
Summary:        Pixel manipulation library

Group:          System Environment/Libraries
License:        MIT
URL:            http://gitweb.freedesktop.org/?p=pixman.git;a=summary
Source0: http://xorg.freedesktop.org/releases/individual/lib/pixman-%{version}.tar.bz2 
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake autoconf libtool pkgconfig

%description
Pixman is a pixel manipulation library for X and cairo.

%package devel
Summary: Pixel manipulation library development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development library for pixman.

%prep
%setup -q

%build
%configure --disable-static
%make 

%install
rm --preserve-root -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm --preserve-root -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libpixman-1.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/pixman.h
%{_includedir}/pixman-1/pixman-version.h
%{_libdir}/libpixman-1.so
%{_libdir}/pkgconfig/pixman-1.pc

%changelog
* Wed Sep 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.8-2m)
- revert to 0.11.8
- 0.11.10 breaks input areas of gtk2-windows
- modify %%post and %%postun

* Tue Sep  9 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.10-1m)
- update to 0.11.10

* Fri Jul 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.8-1m)
- update to 0.11.8

* Fri Jun 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.6-1m)
- update to 0.11.6

* Fri Jun 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.4-1m)
- update to 0.11.4

* Mon Apr  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.6-2m)
- %%NoSource -> NoSource

* Sat Oct 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6

* Wed Sep  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-1m)
- update to 0.9.5

* Fri Aug 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- initial commit

